glibmm 2.40.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::ConverterInputStream Class Reference

ConverterInputstream - Converter Input Stream. More...

`#include <giomm/converterinputstream.h>`

Inheritance diagram for Gio::ConverterInputStream:
[legend]

## Public Member Functions
virtual | ~ConverterInputStream ()
GConverterInputStream* | gobj ()
| Provides access to the underlying C GObject. More...
const GConverterInputStream* | gobj () const
| Provides access to the underlying C GObject. More...
GConverterInputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Converter > | get_converter ()
| Gets the Converter that is used by converter_stream. More...
Glib::RefPtr< const Converter > | get_converter () const
| Gets the Converter that is used by converter_stream. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Converter > > | property_converter () const
| The converter object. More...
Public Member Functions inherited from Gio::FilterInputStream
virtual | ~FilterInputStream ()
GFilterInputStream* | gobj ()
| Provides access to the underlying C GObject. More...
const GFilterInputStream* | gobj () const
| Provides access to the underlying C GObject. More...
GFilterInputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< InputStream > | get_base_stream ()
| Gets the base stream for the filter stream. More...
Glib::RefPtr< const InputStream > | get_base_stream () const
| Gets the base stream for the filter stream. More...
bool | get_close_base_stream () const
| Returns whether the base stream will be closed when stream is closed. More...
void | set_close_base_stream (bool close_base=true)
| Sets whether the base stream will be closed when stream is closed. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< InputStream > > | property_base_stream () const
| The underlying base stream on which the io ops will be done. More...
Glib::PropertyProxy< bool > | property_close_base_stream ()
| If the base stream should be closed when the filter stream is closed. More...
Glib::PropertyProxy_ReadOnly < bool > | property_close_base_stream () const
| If the base stream should be closed when the filter stream is closed. More...
Public Member Functions inherited from Gio::InputStream
virtual | ~InputStream ()
GInputStream* | gobj ()
| Provides access to the underlying C GObject. More...
const GInputStream* | gobj () const
| Provides access to the underlying C GObject. More...
GInputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
gssize | read (void* buffer, gsize count, const Glib::RefPtr< Cancellable >& cancellable)
| Tries to read count bytes from the stream into the buffer starting at buffer. More...
gssize | read (void* buffer, gsize count)
| A read() convenience overload. More...
bool | read_all (void* buffer, gsize count, gsize& bytes_read, const Glib::RefPtr< Cancellable >& cancellable)
| Tries to read count bytes from the stream into the buffer starting at buffer. More...
bool | read_all (void* buffer, gsize count, gsize& bytes_read)
| A read_all() convenience overload. More...
Glib::RefPtr< Glib::Bytes > | read_bytes (gsize count, const Glib::RefPtr< Cancellable >& cancellable)
| Like g_input_stream_read(), this tries to read count bytes from the stream in a blocking fashion. More...
void | read_bytes_async (gsize count, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous read of count bytes from the stream into a new Glib::Bytes. More...
void | read_bytes_async (gsize count, const SlotAsyncReady& slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous read of count bytes from the stream into a new Glib::Bytes. More...
Glib::RefPtr< Glib::Bytes > | read_bytes_finish (const Glib::RefPtr< AsyncResult >& result)
| Finishes an asynchronous stream read-into-Bytes operation. More...
gssize | skip (gsize count, const Glib::RefPtr< Cancellable >& cancellable)
| Tries to skip count bytes from the stream. More...
gssize | skip (gsize count)
| A skip() convenience overload. More...
bool | close (const Glib::RefPtr< Cancellable >& cancellable)
| Closes the stream, releasing resources related to it. More...
bool | close ()
| A close() convenience overload. More...
void | read_async (void* buffer, gsize count, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous read of count bytes from the stream into the buffer starting at buffer. More...
void | read_async (void* buffer, gsize count, const SlotAsyncReady& slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous read of count bytes from the stream into the buffer starting at buffer. More...
gssize | read_finish (const Glib::RefPtr< AsyncResult >& result)
| Finishes an asynchronous stream read operation. More...
void | skip_async (gsize count, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous skip of count bytes from the stream into the buffer starting at buffer. More...
void | skip_async (gsize count, const SlotAsyncReady& slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous skip of count bytes from the stream into the buffer starting at buffer. More...
gssize | skip_finish (const Glib::RefPtr< AsyncResult >& result)
| Finishes a stream skip operation. More...
void | close_async (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Requests an asynchronous closes of the stream, releasing resources related to it. More...
void | close_async (const SlotAsyncReady& slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Requests an asynchronous closes of the stream, releasing resources related to it. More...
gboolean | close_finish (const Glib::RefPtr< AsyncResult >& result)
| Finishes closing a stream asynchronously, started from g_input_stream_close_async(). More...
Public Member Functions inherited from Glib::Object
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...
Public Member Functions inherited from Gio::PollableInputStream
virtual | ~PollableInputStream ()
GPollableInputStream* | gobj ()
| Provides access to the underlying C GObject. More...
const GPollableInputStream* | gobj () const
| Provides access to the underlying C GObject. More...
bool | can_poll () const
| Checks if stream is actually pollable. More...
bool | is_readable () const
| Checks if stream can be read. More...
gssize | read_nonblocking (void* buffer, gsize count, const Glib::RefPtr< Cancellable >& cancellable)
| Attempts to read up to count bytes from stream into buffer, as with g_input_stream_read(). More...
gssize | read_nonblocking (void* buffer, gsize count)
| A read_nonblocking() convenience overload. More...
virtual bool | can_poll_vfunc () const
virtual bool | is_readable_vfunc () const
virtual gssize | read_nonblocking_vfunc (void* buffer, gsize count)
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor. More...
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject* castitem)
| Called by constructors of derived classes. More...
virtual | ~Interface ()
GObject* | gobj ()
const GObject* | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr < ConverterInputStream > | create (const Glib::RefPtr< InputStream >& base_stream, const Glib::RefPtr< Converter >& converter)
| Creates a new converter input stream for the base_stream. More...
Static Public Member Functions inherited from Gio::FilterInputStream
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gio::InputStream
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gio::PollableInputStream
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| ConverterInputStream (const Glib::RefPtr< InputStream >& base_stream, const Glib::RefPtr< Converter >& converter)
Protected Member Functions inherited from Gio::PollableInputStream
| PollableInputStream ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::ConverterInputStream > | wrap (GConverterInputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gio::FilterInputStream
Glib::RefPtr < Gio::FilterInputStream > | wrap (GFilterInputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gio::InputStream
Glib::RefPtr< Gio::InputStream > | wrap (GInputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)
Related Functions inherited from Gio::PollableInputStream
Glib::RefPtr < Gio::PollableInputStream > | wrap (GPollableInputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)

## Detailed Description

ConverterInputstream - Converter Input Stream.

Converter input stream implements InputStream and allows conversion of data of various types during reading. ConverterInputStream also implements the PollableInputStream interface.

Since glibmm 2.34:

## Constructor & Destructor Documentation

virtual Gio::ConverterInputStream::~ConverterInputStream | ( | ) |  |
| virtual

Gio::ConverterInputStream::ConverterInputStream | ( | const Glib::RefPtr< InputStream >& | base_stream,
|  | const Glib::RefPtr< Converter >& | converter
| ) |  |
| explicit protected

## Member Function Documentation

static Glib::RefPtr<ConverterInputStream> Gio::ConverterInputStream::create | ( | const Glib::RefPtr< InputStream >& | base_stream,
|  | const Glib::RefPtr< Converter >& | converter
| ) |  |
| static

Creates a new converter input stream for the base_stream.

Parameters

  base_stream | A InputStream.
  converter | A Converter.

Returns
  A new InputStream.

Glib::RefPtr<Converter> Gio::ConverterInputStream::get_converter | ( | ) |  |

Gets the Converter that is used by converter_stream.

Since glibmm 2.24:

Returns
  The converter of the converter input stream.

Glib::RefPtr<const Converter> Gio::ConverterInputStream::get_converter | ( | ) |  | const

Gets the Converter that is used by converter_stream.

Since glibmm 2.24:

Returns
  The converter of the converter input stream.

static GType Gio::ConverterInputStream::get_type | ( | ) |  |
| static

Get the GType for this class, for use with the underlying GObject type system.

GConverterInputStream* Gio::ConverterInputStream::gobj | ( | ) |  |
| inline

Provides access to the underlying C GObject.

const GConverterInputStream* Gio::ConverterInputStream::gobj | ( | ) |  | const
| inline

Provides access to the underlying C GObject.

GConverterInputStream* Gio::ConverterInputStream::gobj_copy | ( | ) |  |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Converter> > Gio::ConverterInputStream::property_converter | ( | ) |  | const

The converter object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::ConverterInputStream > wrap | ( | GConverterInputStream * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.